xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::MatchDecider Class Referenceabstract

Abstract base class for match deciders. More...

`#include <matchdecider.h>`

Inheritance diagram for Xapian::MatchDecider:
[legend]

## Public Member Functions
| MatchDecider () noexcept
| Default constructor, needed by subclass constructors.
virtual | ~MatchDecider ()
| Virtual destructor, because we have virtual methods.
virtual bool | operator() (const Xapian::Document &doc) const =0
| Decide whether to accept a document.

## Detailed Description

Abstract base class for match deciders.

## Member Function Documentation

## ◆ operator()()

virtual bool Xapian::MatchDecider::operator() | ( | const Xapian::Document & | doc | ) | const
| pure virtual

Decide whether to accept a document.

This is called by the matcher for documents before adding them to the candidate result set. Note that documents accepted here may still not appear in the final MSet (better documents may be found, for example).

Parameters

  doc | The document to consider.

Returns
  true if the document should be considered further.

Implemented in Xapian::ValueSetMatchDecider.

The documentation for this class was generated from the following file:

- xapian/matchdecider.h